For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Zones
              • POSTCreate Tax Zones
              • PUTUpdate Tax Zones
              • DELDelete Tax Zones
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Zones

List Tax Zones

GET
https://api.bigcommerce.com/stores/:store_hash/v3/tax/zones
GET
/stores/:store_hash/v3/tax/zones
$curl https://api.bigcommerce.com/stores/store_hash/v3/tax/zones \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Example 1
1{
2 "data": [
3 {
4 "id": 2,
5 "name": "example zone",
6 "enabled": false,
7 "price_display_settings": {
8 "show_inclusive": false,
9 "show_both_on_detail_view": false,
10 "show_both_on_list_view": false
11 },
12 "shopper_target_settings": {
13 "locations": [
14 {
15 "country_code": "AR",
16 "subdivision_codes": [
17 "T",
18 "V"
19 ],
20 "postal_codes": []
21 },
22 {
23 "country_code": "AU",
24 "subdivision_codes": [
25 "WA",
26 "VIC"
27 ],
28 "postal_codes": []
29 }
30 ],
31 "customer_groups": [
32 2
33 ]
34 }
35 }
36 ],
37 "meta": {}
38}
Retrieve a selection of tax zones when you provide a list of tax zone IDs. Otherwise, retrieve all tax zones defined on the store.
Was this page helpful?
Previous

Delete Product Tax Properties

Next

Create Tax Zones

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

Filter by tax zone id. Use a comma-separated CSV string of IDs for multiple tax zones. For example, 5 or 12,34,56.

Response

OK
datalist of objects
metaobject
Response metadata.